compare(1)

NAME
compare - mathematically and visually annotate the difference between an image and its reconstruction.

SYNOPSIS

compare input-file input-file [options] output-file

OVERVIEW
The compare program is a member of the ImageMagick(1) suite of tools. Use it to mathematically and visually annotate the difference between an image and its reconstruction. For more information about the compare command, point your browser to file:///opt/QtPalmtop/share/doc/ImageMagick-6.3.7/www/compare.html or http://www.imagemagick.org/script/compare.php.

DESCRIPTION
Image Settings:
  -authenticate value decrypt image with this password
  -channel type apply option to select image channels
  -colorspace type alternate image colorspace
  -compress type type of pixel compression when writing the image
  -debug events display copious debugging information
  -define format:option
                       define one or more image format options
  -density geometry horizontal and vertical density of the image
  -depth value image depth
  -extract geometry extract area from image
  -format "string" output formatted image characteristics
  -fuzz distance colors within this distance are considered equal
  -help print program options
  -identify identify the format and characteristics of the image
  -interlace type type of image interlacing scheme
  -limit type value pixel cache resource limit
  -log format format of debugging information
  -metric type measure differences between images with this metric
  -monitor monitor progress
  -profile filename add, delete, or apply an image profile
  -quality value JPEG/MIFF/PNG compression level
  -quiet suppress all warning messages
  -quantize colorspace reduce colors in this colorspace
  -regard-warnings pay attention to warning messages
  -sampling-factor geometry
                       horizontal and vertical sampling factor
  -seed value seed a new sequence of pseudo-random numbers
  -set attribute value set an image attribute
  -size geometry width and height of image
  -transparent-color color
                       transparent color
  -type type image type
  -verbose print detailed information about the image
  -version print version information
  -virtual-pixel method
                       virtual pixel access method By default, the image format of `file' is determined by its magic number. To specify a particular image format, precede the filename with an image format name and a colon (i.e. ps:image) or specify the image type as the filename suffix (i.e. image.ps). Specify 'file' as '-' for standard input or output.

SEE-ALSO
ImageMagick(1)

COPYRIGHT
Copyright (C) 1999-2008 ImageMagick Studio LLC. Additional copyrights and licenses apply to this software, see file:///opt/QtPalmtop/share/doc/ImageMagick-6.3.7/www/license.php or http://www.imagemagick.org/script/license.php